/**
 * Media Type Object (without encoding)
 *
 * Each Media Type Object provides schema and examples for the media type identified by its key.
 *
 * @see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.1.1.md#media-type-object
 */
export declare const MediaTypeObjectSchemaWithoutEncoding: import("zod").ZodObject<{
    schema: import("zod").ZodOptional<import("zod").ZodType<Record<string, any>, import("zod").ZodTypeDef, Record<string, any>>>;
    example: import("zod").ZodOptional<import("zod").ZodAny>;
    examples: import("zod").ZodOptional<import("zod").ZodRecord<import("zod").ZodString, import("zod").ZodObject<{
        summary: import("zod").ZodOptional<import("zod").ZodString>;
        description: import("zod").ZodOptional<import("zod").ZodString>;
        value: import("zod").ZodOptional<import("zod").ZodAny>;
        externalValue: import("zod").ZodOptional<import("zod").ZodString>;
    }, "strip", import("zod").ZodTypeAny, {
        description?: string | undefined;
        summary?: string | undefined;
        value?: any;
        externalValue?: string | undefined;
    }, {
        description?: string | undefined;
        summary?: string | undefined;
        value?: any;
        externalValue?: string | undefined;
    }>>>;
}, "strip", import("zod").ZodTypeAny, {
    example?: any;
    examples?: Record<string, {
        description?: string | undefined;
        summary?: string | undefined;
        value?: any;
        externalValue?: string | undefined;
    }> | undefined;
    schema?: Record<string, any> | undefined;
}, {
    example?: any;
    examples?: Record<string, {
        description?: string | undefined;
        summary?: string | undefined;
        value?: any;
        externalValue?: string | undefined;
    }> | undefined;
    schema?: Record<string, any> | undefined;
}>;
//# sourceMappingURL=media-type-object-without-encoding.d.ts.map