/**
 * OpenAPI Object
 *
 * This is the root object of the OpenAPI Description.
 *
 * @see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.1.1.md#openapi-object
 */
export declare const OpenApiObjectSchema: import("zod").ZodType<{
    openapi: string;
    info: import("zod").TypeOf<typeof import("../processed/index.js").InfoObjectSchema>;
    jsonSchemaDialect?: string;
    servers?: import("zod").TypeOf<typeof import("../processed/index.js").ServerObjectSchema>[];
    paths?: import("zod").TypeOf<typeof import("../processed/index.js").PathsObjectSchema>;
    webhooks?: import("zod").TypeOf<typeof import("../processed/index.js").WebhooksObjectSchema>;
    components?: import("zod").TypeOf<typeof import("../processed/index.js").ComponentsObjectSchema>;
    security?: import("zod").TypeOf<typeof import("../processed/index.js").SecurityRequirementObjectSchema>[];
    tags?: import("zod").TypeOf<typeof import("../processed/index.js").TagObjectSchema>[];
    externalDocs?: import("zod").TypeOf<typeof import("../processed/index.js").ExternalDocumentationObjectSchema>;
}, import("zod").ZodTypeDef, {
    openapi: string;
    info: import("zod").TypeOf<typeof import("../processed/index.js").InfoObjectSchema>;
    jsonSchemaDialect?: string;
    servers?: import("zod").TypeOf<typeof import("../processed/index.js").ServerObjectSchema>[];
    paths?: import("zod").TypeOf<typeof import("../processed/index.js").PathsObjectSchema>;
    webhooks?: import("zod").TypeOf<typeof import("../processed/index.js").WebhooksObjectSchema>;
    components?: import("zod").TypeOf<typeof import("../processed/index.js").ComponentsObjectSchema>;
    security?: import("zod").TypeOf<typeof import("../processed/index.js").SecurityRequirementObjectSchema>[];
    tags?: import("zod").TypeOf<typeof import("../processed/index.js").TagObjectSchema>[];
    externalDocs?: import("zod").TypeOf<typeof import("../processed/index.js").ExternalDocumentationObjectSchema>;
}>;
//# sourceMappingURL=openapi-object.d.ts.map