/**
 * Server Object
 *
 * An object representing a Server.
 *
 * @see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.1.1.md#server-object
 */
export declare const ServerObjectSchema: import("zod").ZodObject<{
    url: import("zod").ZodString;
    description: import("zod").ZodOptional<import("zod").ZodString>;
    variables: import("zod").ZodOptional<import("zod").ZodRecord<import("zod").ZodString, import("zod").ZodObject<{
        enum: import("zod").ZodOptional<import("zod").ZodArray<import("zod").ZodString, "many">>;
        default: import("zod").ZodOptional<import("zod").ZodString>;
        description: import("zod").ZodOptional<import("zod").ZodString>;
    }, "strip", import("zod").ZodTypeAny, {
        description?: string | undefined;
        default?: string | undefined;
        enum?: string[] | undefined;
    }, {
        description?: string | undefined;
        default?: string | undefined;
        enum?: string[] | undefined;
    }>>>;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
    description?: string | undefined;
    variables?: Record<string, {
        description?: string | undefined;
        default?: string | undefined;
        enum?: string[] | undefined;
    }> | undefined;
}, {
    url: string;
    description?: string | undefined;
    variables?: Record<string, {
        description?: string | undefined;
        default?: string | undefined;
        enum?: string[] | undefined;
    }> | undefined;
}>;
//# sourceMappingURL=server-object.d.ts.map