import { z } from 'zod';
/**
 * x-additionalPropertiesName
 *
 * Custom attribute name for additionalProperties in a schema.
 * This allows specifying a descriptive name for additional properties
 * that may be present in an object.
 */
export declare const XAdditionalPropertiesNameSchema: z.ZodObject<{
    'x-additionalPropertiesName': z.ZodCatch<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    'x-additionalPropertiesName'?: string | undefined;
}, {
    'x-additionalPropertiesName'?: unknown;
}>;
//# sourceMappingURL=x-additional-properties-name.d.ts.map