import { z } from 'zod';
/**
 * An OpenAPI extension to overwrite tag names with a display-friendly version
 *
 * @example
 * ```yaml
 * x-displayName: planets
 * ```
 */
export declare const XDisplayNameSchema: z.ZodObject<{
    'x-displayName': z.ZodCatch<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    'x-displayName'?: string | undefined;
}, {
    'x-displayName'?: unknown;
}>;
//# sourceMappingURL=x-display-name.d.ts.map