import { z } from 'zod';
export declare const XTagGroupSchema: z.ZodObject<{
    /**
     * The group name.
     */
    name: z.ZodString;
    /**
     * List of tags to include in this group.
     */
    tags: z.ZodCatch<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    tags: string[];
    name: string;
}, {
    name: string;
    tags?: unknown;
}>;
/**
 * x-tagGroups
 *
 * List of tags to include in this group.
 */
export declare const XTagGroupsSchema: z.ZodCatch<z.ZodArray<z.ZodObject<{
    /**
     * The group name.
     */
    name: z.ZodString;
    /**
     * List of tags to include in this group.
     */
    tags: z.ZodCatch<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    tags: string[];
    name: string;
}, {
    name: string;
    tags?: unknown;
}>, "many">>;
//# sourceMappingURL=x-tag-groups.d.ts.map