import { z } from 'zod';
/** Options for the x-usePkce extension */
export declare const XUsePkceValues: readonly ["SHA-256", "plain", "no"];
export declare const XusePkceSchema: z.ZodObject<{
    /**
     * Use x-usePkce to enable Proof Key for Code Exchange (PKCE) for the Oauth2 authorization code flow.
     */
    'x-usePkce': z.ZodDefault<z.ZodOptional<z.ZodEnum<["SHA-256", "plain", "no"]>>>;
}, "strip", z.ZodTypeAny, {
    'x-usePkce': "SHA-256" | "plain" | "no";
}, {
    'x-usePkce'?: "SHA-256" | "plain" | "no" | undefined;
}>;
//# sourceMappingURL=x-use-pkce.d.ts.map