<img src="./docs/public/og-image.svg" alt="tsdown" width="100%" /><br>

# tsdown [![npm](https://img.shields.io/npm/v/tsdown.svg)](https://npmjs.com/package/tsdown) [![Unit Test](https://github.com/rolldown/tsdown/actions/workflows/tests.yml/badge.svg)](https://github.com/rolldown/tsdown/actions/workflows/tests.yml) [![JSR](https://jsr.io/badges/@sxzz/tsdown)](https://jsr.io/@sxzz/tsdown) [![tsdown-starter-stackblitz](https://developer.stackblitz.com/img/open_in_stackblitz_small.svg)](https://stackblitz.com/github/rolldown/tsdown-starter-stackblitz)

✨ The elegant bundler for libraries powered by [Rolldown](https://github.com/rolldown/rolldown).

## Features

- 🚀 **Blazing fast**: Build and generate declaration files powered by Oxc and Rolldown, incredibly fast!
- ♻️ **Powerful ecosystem**: Support Rollup, Rolldown, unplugin plugins, and some Vite plugins.
- ️🛠️ **Easy to use**: tsdown preconfigures everything you need to get started, so you can focus on writing code.
- 🔄 **Seamless migration**: Compatible with tsup's main options and features, ensuring a smooth transition.

## Documentation

For full documentation, visit [tsdown.dev](https://tsdown.dev).

## Install

```bash
npm i -D tsdown
```

## Usage

```bash
npx tsdown
```

## Migrate from tsup

```bash
npx tsdown migrate
```

Please make sure to commit your changes before migrating. For more details, see the [Migration Guide](https://tsdown.dev/guide/migrate-from-tsup).

## Credits

This project also partially contains code derived or copied from the following projects:

- [tsup](https://github.com/egoist/tsup)
- [pkgroll](https://github.com/privatenumber/pkgroll)

## Sponsors

<p align="center">
  <a href="https://cdn.jsdelivr.net/gh/sxzz/sponsors/sponsors.svg">
    <img src='https://cdn.jsdelivr.net/gh/sxzz/sponsors/sponsors.svg'/>
  </a>
</p>

## Licenses

This project is licensed under the [MIT License](LICENSE).
